## org.apache.mahout.math.decomposer.lanczos
Class LanczosState

    java.lang.Object
      org.apache.mahout.math.decomposer.lanczos.LanczosState

    public class LanczosState

extends Object

Field Summary
`protected Map<Integer,Vector>` `basis`
`protected VectorIterable` `corpus`
`protected int` `desiredRank`
`protected Matrix` `diagonalMatrix`
`protected int` `iterationNumber`
`protected double` `scaleFactor`
`protected Map<Integer,Double>` `singularValues`
`protected Map<Integer,Vector>` `singularVectors`

Constructor Summary
`LanczosState(VectorIterable corpus, int desiredRank, Vector initialVector)`

Method Summary
`int` `getBasisSize()`
`Vector` `getBasisVector(int i)`
`VectorIterable` `getCorpus()`
`Matrix` `getDiagonalMatrix()`
`int` `getIterationNumber()`
`Vector` `getRightSingularVector(int i)`
`double` `getScaleFactor()`
`Double` `getSingularValue(int i)`
`protected void` `intitializeBasisAndSingularVectors()`
`void` `setBasisVector(int i, Vector basisVector)`
`void` `setIterationNumber(int i)`
`void` `setRightSingularVector(int i, Vector vector)`
`void` `setScaleFactor(double scale)`
`void` `setSingularValue(int i, double value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### diagonalMatrix

    protected Matrix diagonalMatrix

### corpus

    protected final VectorIterable corpus

### scaleFactor

    protected double scaleFactor

### iterationNumber

    protected int iterationNumber

### desiredRank

    protected final int desiredRank

### basis

    protected Map<Integer,Vector> basis

### singularValues

    protected final Map<Integer,Double> singularValues

### singularVectors

    protected Map<Integer,Vector> singularVectors

Constructor Detail

### LanczosState

    public LanczosState(VectorIterable corpus,
                        int desiredRank,
                        Vector initialVector)

Method Detail

### intitializeBasisAndSingularVectors

    protected void intitializeBasisAndSingularVectors()

### getDiagonalMatrix

    public Matrix getDiagonalMatrix()

### getIterationNumber

    public int getIterationNumber()

### getScaleFactor

    public double getScaleFactor()

### getCorpus

    public VectorIterable getCorpus()

### getRightSingularVector

    public Vector getRightSingularVector(int i)

### getSingularValue

    public Double getSingularValue(int i)

### getBasisVector

    public Vector getBasisVector(int i)

### getBasisSize

    public int getBasisSize()

### setBasisVector

    public void setBasisVector(int i,
                               Vector basisVector)

### setScaleFactor

    public void setScaleFactor(double scale)

### setIterationNumber

    public void setIterationNumber(int i)

### setRightSingularVector

    public void setRightSingularVector(int i,
                                       Vector vector)

### setSingularValue

    public void setSingularValue(int i,
                                 double value)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.